"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const functions_1 = require("../server/utils/functions");
const comment_1 = __importDefault(require("./comment"));
const report_1 = __importDefault(require("./report"));
exports.default = {
    comment: {
        schema: comment_1.default,
        lifecycles: (0, functions_1.buildAllHookListeners)("comment", {
            strapi,
        }),
    },
    "comment-report": {
        schema: report_1.default,
        lifecycles: (0, functions_1.buildAllHookListeners)("comment-report", {
            strapi,
        }),
    },
};
//# sourceMappingURL=index.js.map