import { StrapiQueryParams, StrapiQueryParamsParsed, StrapiContext } from "strapi-typed";
import { ContentType, LifeCycleEvent, LifeCycleHookName } from "./types";
import { Effect } from "../../types/utils";
export declare const getPluginService: <T>(name: string) => T;
export declare const parseParams: <T = StrapiQueryParamsParsed>(params: StrapiQueryParams) => T;
export declare const assertParamsPresent: <T>(params: unknown, keys: string[]) => asserts params is T;
export declare const assertNotEmpty: <T>(value: T | null | undefined, customError?: Error) => asserts value is T;
export declare const buildHookListener: (contentTypeName: ContentType, { strapi }: StrapiContext) => (hookName: LifeCycleHookName) => [LifeCycleHookName, Effect<LifeCycleEvent>];
export declare const buildAllHookListeners: (contentTypeName: ContentType, context: StrapiContext) => Record<LifeCycleHookName, Effect<LifeCycleEvent>>;
//# sourceMappingURL=functions.d.ts.map